CREATE DATABASE `kurtp_reduced` /*!40100 DEFAULT CHARACTER SET utf8 */;

use `kurtp_reduced`; 

CREATE TABLE `step_result` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `UUT_RESULT` int(11) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;


DELIMITER $$
CREATE DEFINER=`root`@`%` PROCEDURE `INSERT_STEP_RESULT`(
    OUT ID INT,
    IN UUT_RESULT INT4
)
BEGIN
    INSERT INTO `STEP_RESULT` VALUES (
		default,
        UUT_RESULT        
    );
    
    SET ID = last_insert_id();
    
END$$
DELIMITER ;